# frozen_string_literal: true
require 'nexus_cqrs/base_message'
require 'nexus_cqrs/base_middleware'
require 'nexus_cqrs/auth/auth'
require 'nexus_cqrs/auth/user_context'
require 'nexus_cqrs/auth/permission_provider'
require 'nexus_cqrs/auth/ownable'
require 'nexus_cqrs/base_command'
require 'nexus_cqrs/base_command_handler'
require 'nexus_cqrs/base_query'
require 'nexus_cqrs/base_query_handler'
require 'nexus_cqrs/command_bus'
require 'nexus_cqrs/command_executor'
require 'nexus_cqrs/helpers'

module NexusCqrs
  class Error < StandardError; end
end
